Skip to content

Login

| View as Markdown

To manage the card of a customer, prepaid card portal access will be provided. To login, we need to enter credentials. This API is to create user identification token. All user related action requires token which will expire in 30 min. We must pass mobile no and password in request. If the request has valid details, token will be generated.

https://kraken.airpay.co.in/airpay/ms/cards/api/user-login
ParameterType ValueDescriptionValue Like
affiliate requiredtext
(1-10)
Will be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
processor-key requiredtextWill be provided by airpay(constant, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
mobile_no requirednumeric
(1-10)
Mobile number of customer9XXXXXX978
password requiredtext
(1-20)
Password of customerApswd@1234
ParameterType ValueDescriptionValue Like
status requirednumeric
(1-3)
airpay status400,200
message requiredtextairpay status messageSuccess,Fail
data requiredjson{“token”:“12w234”}
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/user-login' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'password=Apswd@1234'
{
"status": 200,
"message": "success",
"data": {
"token": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
}
{
"status": 400,
"message": "fail"
}